Subject: Re: bug#45156: 28.0.50; Segfault due to glyph_row being set to NULL

From: Torsten Bronger <[email-masked]>
Date: Thu, 10 Dec 2020 09:55:04 +0100

Hallöchen!

Stefan Kangas writes:

> Torsten Bronger <[email-masked]> writes:
>
> [...]
>
>> to be put in /tmp.  tex-fold-mode must be present.  Furthermore,
>> place .emacs and .emacs.desktop in the proper positions, start
>> current Git Emacs, and press the "cursor up" button.  Then, Emacs
>> crashes for me.
>
> Here are the steps I followed:
>
> 0. Install auctex
> 1. Put test.tex in /tmp
> 2. emacs -Q
> 3. C-x C-f /tmp/test.tex
> 4. <up>
>
> But I did not see any crash.  Are any other steps needed to
> reproduce this?

Yes, .emacs and .emacs.desktop in the tar file need to be in the
proper locations.  Moreover, tex-fold-mode must be installed.  This
is annoying, I know, but I really found no simpler way to trigger
the error.

> Could you also produce a backtrace of the problem?  You can find
> instructions for doing that by typing `C-h C-d'.  Don't forget to
> rebuild Emacs with debugging symbols first.

I will try to do so, but please bear with me as I have no experience
with such tools and workflows.

Regards,
Torsten.

-- 
Torsten Bronger